CREATE TABLE models (
  hash bigint(20) NOT NULL default '0',
  model text NOT NULL,
  PRIMARY KEY (hash)
) TYPE=MyISAM;

CREATE TABLE literals (
  hash bigint(20) NOT NULL default '0',
  literal text NOT NULL,
  PRIMARY KEY (hash)
) TYPE=MyISAM;

CREATE TABLE resources (
  hash bigint(20) NOT NULL default '0',
  uri varchar(255) NOT NULL default '',
  PRIMARY KEY (hash),
  KEY (uri)
) TYPE=MyISAM;

CREATE TABLE `triples` (
  `model` bigint(20) NOT NULL default '0',
  `subject` bigint(20) NOT NULL default '0',
  `predicate` bigint(20) NOT NULL default '0',
  `object` bigint(20) NOT NULL default '0',
  `literal` tinyint(1) NOT NULL default '0',
  `inferred` tinyint(1) NOT NULL default '0',
  KEY `s` (`subject`),
  KEY `p` (`predicate`),
  KEY `o` (`object`),
  KEY `m` (`model`)
) TYPE=MyISAM;

CREATE TABLE `cache_state` (
  `taxonomy` int(11) NOT NULL default '0',
  `sia` int(11) NOT NULL default '0'
) TYPE=MyISAM;

INSERT INTO cache_state VALUES();
